[Pro] Current operating systems supported

As I just discovered the return of Softpress, and BRAVO, are there any updates on which operating system levels Freeway Pro 7 works on? I have been keeping a Mac downgraded to avoid any issues. Thank you in advance for response, and yes, I support you!


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

I have found no problem using 7.1.4 with the most recent release of Sierra 10.12.6 and am confident that any bugs will have been ironed out of 10.13 by the release date. I think the recent return of the functionality of the “Check for updates” menu item is a good sign.


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

I’ve been using it on El Capitan 10.11.6. I’m not sure if you’re asking how far back you can use FW7, or how far forward.


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

In the other direction, I still have 7.1.4 on a late 2006 iMac running Lion 10.7.5, and everything seems to work, though I had to go to something with a later version of Safari for Responsive Design Mode.


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

I was holding back on an OS upgrade until SURE that it will work on Sierra. From the responses it seems to work. Would like to know the configuration of the system that runs on Sierra however, thanks.


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

I have it running on Sierra on a mid-2012 MacBook Pro, 2.5 GHz Intel Core i5 with 16Gb of memory, and on a mid-2017 iMac 27 inch, 3.5 GHz Intel Core i5 with 8Gb of memory.


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options

Freeway7 works just fine on the current Sierra release, there’s no need to skip Apple’s updates. In the near future Freeway might have some issues running on High Sierra when you decide to use the AFS file system, but you are not obliged to. High Sierra does still support HSF+ as well.

– Richard


freewaytalk mailing list
email@hidden
Update your subscriptions at:
https://freewaytalk.softpress.com/person/options